Use relative import for compiler module in nodes.py (Python 2.5 support) #299

Merged
merged 1 commit into from Jun 6, 2014

2 participants

@jcwilson

This is necessary to avoid a name collision with the deprecated(as of Python 2.6) builtin compiler module in Python 2.5.

This should also be ported to Jinja2 2.6, but I didn't see an appropriate branch for that.

Tested with Python 2.5 on Windows XP

@mitsuhiko mitsuhiko merged commit a2d7871 into pallets:2.5-maintenance Jun 6, 2014

1 check failed

Details default The Travis CI build failed
@mitsuhiko
The Pallets Projects member

Merged but 2.5 is no longer supported.

@jcwilson

Thanks! I appreciate it since I don't have the luxury of choosing which python version to use. My compliments for having it still work on 2.5 even if it's not officially supported.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment